import Vue from 'vue';
import Main from './views/Main.vue';
import axios from 'axios';
import VueAxios from 'vue-axios';
import '@/utils/common';

const win = window as any;
// 全局设置cors cookie
axios.defaults.withCredentials = true;
axios.defaults.headers['Content-Type'] = 'application/json';
Vue.use(VueAxios, axios);
// 阻止启动生产消息
Vue.config.productionTip = false;

new Vue({
  name: '<%= name %>',
  components: {
    Main,
  },
  created() {
  },
  methods: {
  },
  render: (h) => h(Main),
}).$mount('#app');
